# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2017-10-15 21:25
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Deadline',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('deadline', models.DateTimeField(help_text='The time of the deadline.', verbose_name='Fecha limite')),
                ('text', models.TextField(blank=True, help_text='An optional text to show.', null=True, verbose_name='Descipcion')),
                ('isDone', models.BooleanField(default=False)),
            ],
            options={
                'verbose_name': 'Deadline',
                'verbose_name_plural': 'Deadlines',
                'ordering': ['-deadline'],
            },
        ),
        migrations.CreateModel(
            name='Evidence',
            fields=[
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('typeEvidence', models.CharField(blank=True, max_length=100, null=True, verbose_name='Tipo de Evidencia')),
            ],
        ),
        migrations.CreateModel(
            name='Expedient',
            fields=[
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Attached',
            fields=[
                ('evidence_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='test_app.Evidence')),
                ('typeAttached', models.CharField(choices=[('Acta Visita', 'Acta Visita'), ('Respuesta Auto', 'Respuesta Auto'), ('Compensacion', 'Compensacion'), ('Resolucion', 'Resolucion'), ('Otros', 'Otros')], default='', max_length=200)),
                ('name', models.CharField(max_length=200, verbose_name='nombre')),
                ('description', models.TextField(verbose_name='descripción')),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
            bases=('test_app.evidence',),
        ),
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('evidence_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='test_app.Evidence')),
                ('bank', models.CharField(choices=[('BANCO AGRARIO', 'BANCO AGRARIO'), ('BANCO AV VILLAS', 'BANCO AV VILLAS'), ('BANCO CAJA SOCIAL', 'BANCO CAJA SOCIAL'), ('BANCO COLPATRIA', 'BANCO COLPATRIA'), ('BANCO CORPBANCA S.A', 'BANCO CORPBANCA S.A'), ('BANCO DAVIVIENDA', 'BANCO DAVIVIENDA'), ('BANCO DE BOGOTA', 'BANCO DE BOGOTA'), ('BANCO DE OCCIDENTE', 'BANCO DE OCCIDENTE'), ('BANCO GNB SUDAMERIS', 'BANCO GNB SUDAMERIS'), ('BANCO PICHINCHA S.A.', 'BANCO PICHINCHA S.A.'), ('BANCO POPULAR', 'BANCO POPULAR'), ('BANCO PROCREDIT', 'BANCO PROCREDIT'), ('BANCOLOMBIA', 'BANCOLOMBIA'), ('BANCOOMEVA S.A.', 'BANCOOMEVA S.A.'), ('BBVA COLOMBIA S.A.', 'BBVA COLOMBIA S.A.'), ('CITIBANK', 'CITIBANK'), ('ITAÚ', 'ITAÚ'), ('BANCO FALABELLA', 'BANCO FALABELLA')], default='', max_length=200, verbose_name='Banco')),
                ('value', models.DecimalField(decimal_places=2, default='0,00', max_digits=15, verbose_name='Valor')),
            ],
            options={
                'ordering': ('-modified', '-created'),
                'get_latest_by': 'modified',
                'abstract': False,
            },
            bases=('test_app.evidence',),
        ),
        migrations.CreateModel(
            name='PTT',
            fields=[
                ('evidence_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='test_app.Evidence')),
                ('slug', models.SlugField(max_length=200, unique=True)),
                ('typeRequest', models.CharField(choices=[('Permiso de tala y poda', 'Permiso de tala y poda'), ('Certificados de exportación', 'Certificados de exportación'), ('Peermiso de caza', 'Peermiso de caza'), ('Registro de actividades de taxidermia', 'Registro de actividades de taxidermia')], max_length=100, verbose_name='Tipo de solicitud')),
                ('address', models.CharField(default=' ', max_length=100, verbose_name='Dirección')),
                ('neighborhood', models.CharField(default=' ', max_length=100, verbose_name='Barrio')),
                ('municipality', models.CharField(choices=[('Bucaramanga', 'Bucaramanga'), ('Girón', 'Girón'), ('Floridablanca', 'Floridablanca'), ('Piedecuesta', 'Piedecuesta')], default=' ', max_length=100, verbose_name='Municipio')),
                ('answerd', models.BooleanField(default=False)),
                ('approved', models.BooleanField(default=False)),
                ('space', models.CharField(choices=[('Publico', 'Publico'), ('Privado', 'Privado')], max_length=100, verbose_name='Territorio')),
                ('motive', models.CharField(choices=[('Deterioro', 'Deterioro'), ('Plagas', 'Plagas'), ('Somra alelopatia', 'Somra alelopatia'), ('Desarrollo ineficiente', 'Desarrollo ineficiente'), ('Obtaculizacion', 'Obtaculizacion'), ('Inclinacion Exceiva', 'Inclinacion Exceiva')], max_length=100, verbose_name='Motivo')),
                ('height', models.CharField(choices=[('Menos de 3 metros', 'Menos de 3 metros'), ('Entre 3 y 6 metros', 'Entre 3 y 6 metros'), ('Más de 6 metros', 'Más de 6 metros')], max_length=100, verbose_name='Altura')),
            ],
            options={
                'verbose_name': 'PTT',
                'verbose_name_plural': 'PTT',
                'permissions': (('view_ptt', 'Can view ptt'),),
                'get_latest_by': 'createDate',
            },
            bases=('test_app.evidence',),
        ),
        migrations.AddField(
            model_name='evidence',
            name='idExpedient',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='test_app.Expedient'),
        ),
        migrations.AddField(
            model_name='deadline',
            name='idEvidence',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='test_app.Evidence'),
        ),
    ]
